#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCD,0xAF,0x04,0xA0,0x8D,0x0D,0xC4,0x21,0xAA,0xA9,0xC4,0xC8,
		0x6A,0x6B,0x6D,0x3C,0x35,0xE8,0x0A,0x22,0x9D,0xED,0xEE,0x94,
		0xE8,0x8A,0x02,0x96,0x18,0xD8,0x57,0x53,0xFC,0x4B,0xB6,0x24,
		0x8C,0x89,0xE0,0x8D,0xF2,0xF6,0x96,0x37,0xA5,0x7B,0x33,0x33,
		0xEA,0x53,0xB5,0x7B,0xA4,0x3D,0xBC,0x40,0x81,0x06,0x36,0xC3,
		0x3E,0x51,0x9E,0x4B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
